# GEneral PREprocessing Framework (gepref)
---

<div align="center">
    <img src="./doc/source/_static/gepref.svg" alt="logo" width="60%"></img>
</div>

`gepref` is a lightweight framework designed for constructing machine learning preprocessing strategies tailored for various data types such as texts, images, tables, and more, utilizing multiple backends.

## Installation
---

You can install `gepref` with `pip`:

```sh
pip install gepref
```

## Libraries
---

The following libraries use `gepref` for different data modalities:

- [gepref_text](https://github.com/juselara1/gepref_text): text preprocessing with NLP.

## Documentation
---

The core library of ``gepref`` comprises solely of **interfaces** and **generic classes** aimed at facilitating the construction of preprocessing pipelines. It does not contain specific preprocessing implementations. You can check how to create different preprocessors and steps in the [official documentation](https://juselara1.github.io/gepref/).
